Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.classpath
Class ClasspathEntry

    java.lang.Object
      org.gjt.jclasslib.browser.config.classpath.ClasspathEntry

All Implemented Interfaces:
  ClasspathComponent

Direct Known Subclasses:
  ClasspathArchiveEntry, ClasspathDirectoryEntry

public abstract class ClasspathEntry
extends Object
implements ClasspathComponent

Base class for classpath entries.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Field Summary
`protected static String` | `CLASSFILE_SUFFIX` Suffix for class files.

Constructor Summary
`ClasspathEntry()`

Method Summary
`void` | `addClasspathChangeListener(ClasspathChangeListener listener)` Add a `ClasspathChangeListener`.
`protected ClassTreeNode` | `addOrFindNode(String newNodeName, ClassTreeNode parentNode, boolean packageNode, DefaultTreeModel model, boolean reset)` Convenience method to get a node or add a new class of package node to a parent node.
`boolean` | `equals(Object other)`
`protected File` | `getFile()` Get the file for the classpath entry.
`String` | `getFileName()` Get the name of the classpath entry.
`int` | `hashCode()`
`void` | `removeClasspathChangeListener(ClasspathChangeListener listener)` Remove a `ClasspathChangeListener`.
`void` | `setFileName(String fileName)` Set the name of the classpath entry.
`protected String` | `stripClassSuffix(String name)` Strip the class suffix from the supplied file name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gjt.jclasslib.browser.config.classpath.ClasspathComponent
`findClass, mergeClassesIntoTree`

Field Detail

### CLASSFILE_SUFFIX

    protected static final String CLASSFILE_SUFFIX

  Suffix for class files.

  See Also:
    Constant Field Values

Constructor Detail

### ClasspathEntry

    public ClasspathEntry()

Method Detail

### getFileName

    public String getFileName()

  Get the name of the classpath entry.

  Returns:
    the name

### setFileName

    public void setFileName(String fileName)

  Set the name of the classpath entry.

  Parameters:
    `fileName` - the name.

### equals

    public boolean equals(Object other)

### hashCode

    public int hashCode()

### addClasspathChangeListener

    public void addClasspathChangeListener(ClasspathChangeListener listener)

  Description copied from interface: `ClasspathComponent`
  Add a `ClasspathChangeListener`.

  Specified by:
    `addClasspathChangeListener` in interface `ClasspathComponent`
  Parameters:
    `listener` - the listener

### removeClasspathChangeListener

    public void removeClasspathChangeListener(ClasspathChangeListener listener)

  Description copied from interface: `ClasspathComponent`
  Remove a `ClasspathChangeListener`.

  Specified by:
    `removeClasspathChangeListener` in interface `ClasspathComponent`
  Parameters:
    `listener` - the listener

### getFile

    protected File getFile()

  Get the file for the classpath entry. May be `null` if the entry is invalid.

  Returns:
    the file.

### addOrFindNode

    protected ClassTreeNode addOrFindNode(String newNodeName,
                                          ClassTreeNode parentNode,
                                          boolean packageNode,
                                          DefaultTreeModel model,
                                          boolean reset)

  Convenience method to get a node or add a new class of package node to a parent node. New nodes will be added in correct sort order, packages first.

  Parameters:
    `newNodeName` - the name of the new node.
    `parentNode` - the parent node.
    `packageNode` - whether the new node is a package node or not.
    `model` - the tree model.
    `reset` - whether a reset operation is in progress.
  Returns:
    the fould or created node.

### stripClassSuffix

    protected String stripClassSuffix(String name)

  Strip the class suffix from the supplied file name.

  Parameters:
    `name` - the file name.
  Returns:
    the stripped name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD